Wagtail API
===========

The ``wagtailapi`` module can be used to create a read-only, JSON-based API for public Wagtail content.

There are three endpoints to the API:

* **Pages:** ``/api/v1/pages/``
* **Images:** ``/api/v1/images/``
* **Documents:** ``/api/v1/documents/``

See :doc:`installation` and :doc:`configuration` if you're looking to add this module to your Wagtail site.

See :doc:`usage` for documentation on the API.


Index
-----

.. toctree::
    :maxdepth: 2

    installation
    configuration
    usage
